<div class="full-width overflow-hidden" [formGroup]="subFormGroup">
  @switch (reportInput.type) {
    @case (ReportInputType.TREE_PICKER) {
      <div class="flex-row">
        <sqtm-core-label
          class="m-r-10"
          [text]="reportInput.label"
        ></sqtm-core-label>
        <sqtm-app-form-campaign-tree-picker
          [formControlName]="reportInput.name"
          [restrictedRowType]="reportInput.jsTreeNodeType"
          [enabledMultiSelection]="false"
        ></sqtm-app-form-campaign-tree-picker>
      </div>
    }
    @case (ReportInputType.CHECKBOX) {
      <label nz-checkbox [formControlName]="reportInput.name">{{
        reportInput.label
      }}</label>
    }
    @case (ReportInputType.TEXT) {
      <sqtm-core-label
        class="m-r-10"
        [text]="reportInput.label"
      ></sqtm-core-label>
      <sqtm-core-text-field
        [formGroup]="subFormGroup"
        [fieldName]="reportInput.name"
      ></sqtm-core-text-field>
    }
  }
  @if (reportInput.helpMessage) {
    <i
      nz-icon
      [nzType]="'sqtm-core-generic:help'"
      nz-tooltip
      [nzTooltipTitle]="reportInput.helpMessage"
      class="action-icon-size current-workspace-button"
    ></i>
  }
  @if (errors) {
    <span
      [attr.data-test-element-id]="'criteria-errors'"
      class="m-l-10 sqtm-core-error-message"
    >
      {{ 'sqtm-core.validation.errors.required' | translate }}
    </span>
  }
</div>
